cURL
curl --request GET \ --url https://api.example.com/v1/runs/{run_id} \ --header 'X-API-Key: <api-key>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "queued", "created_at": "2023-11-07T05:31:56Z", "workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "input": {}, "node_ids": [ "<string>" ], "single_node_id": "<string>", "progress": 0, "definitions": {}, "started_at": "2023-11-07T05:31:56Z", "finished_at": "2023-11-07T05:31:56Z", "source": "<string>", "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "meta": {}, "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
Get a run by it’s ID
Successful Response
queued
running
failed
completed
stopped
awaiting_human_feedback